# Makefile pro proj2

CC = gcc
CFLAGS = -std=gnu99 -Wall -Wextra -Werror -pedantic -pthread
LDLIBS = -lrt -pthread
SOURCES = proj2.c
EXECUTABLE = proj2

all: $(EXECUTABLE)

$(EXECUTABLE): $(SOURCES)
	$(CC) $(CFLAGS) $(SOURCES) -o $@ $(LDLIBS)

clean:
	rm -f $(EXECUTABLE)

.PHONY: all clean
